package org.w3c.dom.ls;

import org.w3c.dom.DOMException;
import org.w3c.dom.Node;
import org.w3c.dom.DOMConfiguration;

public interface LSSerializer
{
    public abstract DOMConfiguration getDomConfig();
    
    public abstract String getNewLine();
    
    public abstract void setNewLine(String p0);
    
    public abstract LSSerializerFilter getFilter();
    
    public abstract void setFilter(LSSerializerFilter p0);
    
    public abstract boolean write(Node p0, LSOutput p1) throws LSException;
    
    public abstract boolean writeToURI(Node p0, String p1) throws LSException;
    
    public abstract String writeToString(Node p0) throws DOMException, LSException;
}
